# sri

Sri(scala react interface) is a scalajs library to build truly native cross platform(mobile(ios and android) and web) applications ,its based on [reactjs](http://facebook.github.io/react/) and [react-native](https://facebook.github.io/react-native/) so you must be familiar with them inorder to use this library.


![sri](/docs/sri.png)

![moviesapp](/docs/moviesapp.gif)

# Index 
- [Mobile](#mobile)
- [Web](#web)
- [Relay](#relay)
- [Documentation](#documentation)
- [Examples](#examples)
- [Templates](#templates)

#Mobile
Use this module to build iOS/Android mobile applications

```scala
libraryDependencies += "com.github.chandu0101.sri" %%% "mobile" % "0.1.0"
```

#Web
Use this module to build browser based applications.

```scala
libraryDependencies += "com.github.chandu0101.sri" %%% "web" % "0.1.0"
```

#Relay
Use this module to add relay support to your applications
```scala
libraryDependencies += "com.github.chandu0101.sri" %%% "relay" % "0.1.0"
```
#Documentation

 - [Defining Components](/docs/DefiningComponents.md)
 - [Creating Elements](/docs/CreatingElements.md)
 - [Refs To Components](/docs/RefsToComponents.md)
 - [Universal Styles](/docs/UniversalStyles.md)
 - [Universal Router](/docs/UniversalRouter.md)
 - [InteropWithThirdParty](/docs/InteropWithThirdParty.md)
 - [Known Issues](/docs/KnownIssues.md)
 
#Examples
  - [Mobile Examples](/mobile-examples)
  - [Web Examples](/web-examples)
  - [Relay Web Examples](/relay-web-examples)
  
#Templates
  - [Mobile App(iOS and Android) Template](https://github.com/chandu0101/sri-mobile-template)
  - [Web App Template](https://github.com/chandu0101/sri-web-template)
  - [Cross Platform App(mobile(ios and android) and web) Template](https://github.com/chandu0101/sri-cross-platform-template)